Linux Users

Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.

Install NI-Visa and PyVisa Ubuntu 14.04

Hi,

I need to install NI-VISA and PyVisa on Ubuntu 14.04 (Ideally 5.4.1). Upon reading I hear that NI doesn't support Ubuntu. I have browsed a couple forums but I am having a hard time finding concrete instructions to follow in order to install NI-Visa on Ubunutu 14.04. I was wondering if someone could help point me in the right direction. I'm relatively new to Linux/Ubuntu. Any assitance is appreciated.

Message 1 of 8
(28,469 Views)
7 REPLIES 7

Re: Install NI-Visa and PyVisa Ubuntu 14.04

Anyone have any new info on this?  I am also attempting to get it to work on Ubuntu 14.04 and no luck so far

0 Kudos
Message 2 of 8
(21,316 Views)

Re: Install NI-Visa and PyVisa Ubuntu 14.04

1) Download NI-VISA from [ http://www.ni.com/download/ni-visa-14.0/4797/en/ ]

2) then mound the .iso file

3) open the terminal and goto the mounted directory

4) type "sudo bash ./INSTALL" without ""

5) if dependencey error try with "sudo bash ./INSTALL --nodeps" without ""

6)done.

if it's succesfully installed

7) open another terminal and type "visaconf" it will open NI-VISA for you

0 Kudos
Message 3 of 8
(21,316 Views)

Re: Install NI-Visa and PyVisa Ubuntu 14.04

Hi Vatpatel

I have the same problems as TS. Could you please explain me how you compile the nikal? I'm permanently getting error during compilation (see attachment).

I'm using the visa-5.4.1 & nikal-2.5.

P.S. May be I need to some kernel modules preparation as similar on openSUSE?

Thanks in advance,

Oleg

0 Kudos
Message 4 of 8
(21,316 Views)

Re: Install NI-Visa and PyVisa Ubuntu 14.04

Hi.  As far as I can read from the Install script, this will not install on a Ubuntu machine.

What can you suggest for on what Ubuntu machine to convert this code to .deb files from rpm.

Thoughts?

Peter

0 Kudos
Message 5 of 8
(21,316 Views)
Highlighted

Re: Install NI-Visa and PyVisa Ubuntu 14.04

instead use NI-VISA, you could use PyVisa-py

https://pyvisa-py.readthedocs.org

You can select the PyVISA-py backend using @py when instantiating the visa Resource Manager:

>>> import visa

>>> rm = visa.ResourceManager('@py')

>>> rm.list_resources()

('USB0::0x1AB1::0x0588:Smiley Very HappyS1K00005888::INSTR')

>>> inst = rm.open_resource('USB0::0x1AB1::0x0588:Smiley Very HappyS1K00005888::INSTR')

>>> print(inst.query("*IDN?"))

0 Kudos
Message 6 of 8
(21,316 Views)

Re: Install NI-Visa and PyVisa Ubuntu 14.04

Joining in quite late to this.  

 

I found it easier, to use the UI, and right mouse click and tell it to extract.  Then run from the resultant directory.  Since I am using ubuntu, I did need to use the --nodeps.

 

Fairly easy to do.

 

-- brett

 

0 Kudos
Message 7 of 8
(21,156 Views)

Re: Install NI-Visa and PyVisa Ubuntu 14.04

Even After trying as you said, I got this error.... although I am not very much expert in linux, so please help me...

************************************ ERROR *************************************
* Kernel source does not appear to be installed for the 3.16.0-4-amd64 kernel.
*    Installation of the kernel-source package for kernel 3.16.0-4-amd64 is
*                   required to continue this installation.
************************************ ERROR *************************************

Installer is aborted.

0 Kudos
Message 8 of 8
(8,378 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.